ranges::adjacent_difference_fn Struct Reference
Numerics

## Public Member Functions

template<typename Rng , typename ORef , typename BOp = minus, typename P = identity, typename I = iterator_t<Rng>, typename O = uncvref_t<ORef>>
CPP_TEMPLATE_AUX_0 | a (requires range< Rng > &&differenceable< I, O, BOp, P >) aaadjacent_difference_result< borrowed_iterator_t< Rng >
template<typename Rng , typename ORng , typename BOp = minus, typename P = identity, typename I = iterator_t<Rng>, typename O = iterator_t<ORng>>
CPP_TEMPLATE_AUX_0 | a (requires range< Rng > &&range< ORng > &&differenceable< I, O, BOp, P >) aaadjacent_difference_result< borrowed_iterator_t< Rng >
template<typename I , typename S , typename O , typename BOp = minus, typename P = identity>
CPP_TEMPLATE_AUX_0 | a (requires sentinel_for< S, I > &&differenceable< I, O, BOp, P >) aaadjacent_difference_result< I
template<typename I , typename S , typename O , typename S2 , typename BOp = minus, typename P = identity>
CPP_TEMPLATE_AUX_0 | a (requires sentinel_for< S, I > &&sentinel_for< S2, O > &&differenceable< I, O, BOp, P >) aaadjacent_difference_result< I
CPP_TEMPLATE_AUX_0 O | operator() (I first, S last, O result, BOp bop=BOp{}, P proj=P{}) const
CPP_TEMPLATE_AUX_0 O | operator() (I first, S last, O result, S2 end_result, BOp bop=BOp{}, P proj=P{}) const
CPP_TEMPLATE_AUX_0 O | operator() (Rng &&rng, ORef &&result, BOp bop=BOp{}, P proj=P{}) const
CPP_TEMPLATE_AUX_0 borrowed_iterator_t< ORng > | operator() (Rng &&rng, ORng &&result, BOp bop=BOp{}, P proj=P{}) const